summaryrefslogtreecommitdiffstats
path: root/performance-test
diff options
context:
space:
mode:
authorDavid Bremner <david@tethera.net>2017-03-18 13:40:25 -0300
committerDavid Bremner <david@tethera.net>2017-03-18 13:40:25 -0300
commitb5d08ebdb9633b52519b4aab80da50884e860bc9 (patch)
treee23a6a3255f06517edcaf64bff394b57437b715a /performance-test
parent0c8ce66ef4645e84887884fb5669fe158172f426 (diff)
perf-test: add simple memory tests for notmuch-show
These are probably too slow to run with the full corpus
Diffstat (limited to 'performance-test')
-rwxr-xr-xperformance-test/M02-show.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/performance-test/M02-show.sh b/performance-test/M02-show.sh
new file mode 100755
index 00000000..d73035ea
--- /dev/null
+++ b/performance-test/M02-show.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+test_description='show'
+
+. ./perf-test-lib.sh || exit 1
+
+memory_start
+
+memory_run 'show *' "notmuch show '*' 1>/dev/null"
+memory_run 'show --format=json *' "notmuch show --format=json '*' 1>/dev/null"
+memory_run 'show --format=sexp *' "notmuch show --format=sexp '*' 1>/dev/null"
+
+memory_done